Devices
Device lifecycle and management
Retrieve a paginated list of devices in an organization.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_VIEW.
OAuth2 Bearer token obtained from authentication endpoint
Organization ID (optional, defaults to the organization, associated with the authentication token)
Include devices from sub-organizations
falsePage number (0-indexed)
0Page size (max 1000)
50List of devices
Total amount of devices, available to fetch.
1Bad request - requested page size is too big
Forbidden
Organization not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/devices HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
}
}
],
"totalElements": 1
}Retrieve a paginated list of devices in an organization, with optional field expansion. Use the include parameter to selectively embed sub-resources inline, eliminating the need for per-device follow-up API calls.
By default, only core device fields (id, name, token, etc.) are returned. Fields like hardwareInfo, dataStreamValues, and metaFieldValues are omitted unless explicitly requested via the include parameter.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_VIEW.
OAuth2 Bearer token obtained from authentication endpoint
Organization ID (optional, defaults to the organization, associated with the authentication token)
Include devices from sub-organizations
falsePage number (0-indexed)
0Page size (max 1000)
50List of devices with optional expanded fields
Total amount of devices, available to fetch.
1Bad request - requested page size is too big or include contains unknown values
Forbidden
Organization not found or access denied
Too many requests
Internal server error
GET /api/v2/organization/devices HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
},
"dataStreamValues": [
{
"dataStreamId": 201,
"pin": "v10",
"dataStreamLabel": "Temperature_Sensor",
"dataStreamAlias": "Temperature Sensor",
"value": "Some DataStream Value",
"updatedAt": 1707245800000
}
],
"metaFieldValues": [
{
"id": 1,
"name": "text",
"isMandatory": true,
"includeInProvision": true,
"value": {
"type": "MultiText",
"values": [
"SN-001",
"SN-002"
]
}
}
]
}
],
"totalElements": 1
}Search for devices by the provided query.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_VIEW.
OAuth2 Bearer token obtained from authentication endpoint
Search query string
Field to sort by
Sort order
ASCPossible values: Page number (0-indexed)
0Page size (max 1000)
50Search results
Total amount of devices, available to fetch.
1Bad request
Forbidden
Too many requests
Internal server error
GET /api/v1/organization/search/devices?query=text HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
}
}
],
"totalElements": 1
}Retrieve detailed information about a specific device including current datastream values.
Required permissions, when user-scoped authentication is used: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can access only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device details
Device ID
1Device name
Living Room SensorTemplate ID this device belongs to
101Original template ID from the template hierarchy (the root template ID this device is ultimately derived from)
3Organization ID this device belongs to
101Device authentication token
ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJmDevice activation timestamp
1707244800000Device owner identifier
202Device first connection timestamp
1707244800000Timestamp, when the device firmware was last updated
1707244800000Timestamp, when the device has been connected last time
1707244800000Timestamp, when the device has been disconnected last time
1707244800000IP address the device used for connecting
89.23.12.10Timestamp, when the device has reported an event last time
1707244800000Timestamp, when the device has updated the datastream value last time
1707244800000Bad request - invalid device ID
Forbidden
Device not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
},
"lifecycleStatus": {
"eventId": 1,
"name": "Online",
"color": "#80d456",
"icon": "\\ue8b7"
},
"firstConnectTime": 1707244800000,
"firmwareUpdatedAt": 1707244800000,
"connectTime": 1707244800000,
"disconnectTime": 1707244800000,
"ip": "89.23.12.10",
"lastReceivedEventAt": 1707244800000,
"lastReportedAt": 1707244800000,
"dataStreamValues": [
{
"dataStreamId": 201,
"pin": "v10",
"dataStreamLabel": "Temperature_Sensor",
"dataStreamAlias": "Temperature Sensor",
"value": "Some DataStream Value",
"updatedAt": 1707245800000
}
],
"metaFieldValues": [
{
"id": 1,
"name": "text",
"isMandatory": true,
"includeInProvision": true,
"value": {
"type": "MultiText",
"values": [
"SN-001",
"SN-002"
]
}
}
]
}Update device properties (e.g., name).
Required permissions, when user-scoped authentication is used: ORG_DEVICES_EDIT. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can update only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
New device name. Only letters, digits, spaces, apostrophes, underscores and hyphens are allowed.
Device updated successfully
Device ID
1Device name
Living Room SensorTemplate ID this device belongs to
101Original template ID from the template hierarchy (the root template ID this device is ultimately derived from)
3Organization ID this device belongs to
101Device authentication token
ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJmDevice activation timestamp
1707244800000Device owner identifier
202Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
PUT /api/v1/organization/device?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
}
}Delete a device and all associated data
Required permissions, when user-scoped authentication is used: ORG_DEVICES_DELETE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can delete only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device deleted successfully
No content
Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
DELETE /api/v1/organization/device?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Retrieve basic device information (minimized version without all details).
Required permissions, when user-scoped authentication is used: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can access only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device details
Device ID
1Device name
Living Room SensorTemplate ID this device belongs to
101Original template ID from the template hierarchy (the root template ID this device is ultimately derived from)
3Organization ID this device belongs to
101Device authentication token
ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJmDevice activation timestamp
1707244800000Device owner identifier
202Device first connection timestamp
1707244800000Timestamp, when the device firmware was last updated
1707244800000Timestamp, when the device has been connected last time
1707244800000Timestamp, when the device has been disconnected last time
1707244800000IP address the device used for connecting
89.23.12.10Timestamp, when the device has reported an event last time
1707244800000Timestamp, when the device has updated the datastream value last time
1707244800000Bad request - invalid device ID
Forbidden
Device not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device/baseInfo?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
},
"lifecycleStatus": {
"eventId": 1,
"name": "Online",
"color": "#80d456",
"icon": "\\ue8b7"
},
"firstConnectTime": 1707244800000,
"firmwareUpdatedAt": 1707244800000,
"connectTime": 1707244800000,
"disconnectTime": 1707244800000,
"ip": "89.23.12.10",
"lastReceivedEventAt": 1707244800000,
"lastReportedAt": 1707244800000
}Create a new device from a template.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_CREATE. User-scoped tokens that set ownerId different from authenticated user ID also require ORG_VIEW_USERS.
OAuth2 Bearer token obtained from authentication endpoint
Flag, indicating whether server should respond only with base info
falseTemplate ID for the device
TMPL8RITg_f9QOrganization ID (optional). If none is specified, the device is being created in the organization associated with the authentication token.
101Device name. Only letters, digits, spaces, apostrophes, underscores and hyphens are allowed.
Temperature SensorOwner user ID (optional)
101Device created successfully
Bad request
Forbidden
Template/user/organization not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/create HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84
{
"templateId": "TMPL8RITg_f9Q",
"orgId": 101,
"name": "Temperature Sensor",
"ownerId": 101
}{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
},
"lifecycleStatus": {
"eventId": 1,
"name": "Online",
"color": "#80d456",
"icon": "\\ue8b7"
},
"firstConnectTime": 1707244800000,
"firmwareUpdatedAt": 1707244800000,
"connectTime": 1707244800000,
"disconnectTime": 1707244800000,
"ip": "89.23.12.10",
"lastReceivedEventAt": 1707244800000,
"lastReportedAt": 1707244800000,
"dataStreamValues": [
{
"dataStreamId": 201,
"pin": "v10",
"dataStreamLabel": "Temperature_Sensor",
"dataStreamAlias": "Temperature Sensor",
"value": "Some DataStream Value",
"updatedAt": 1707245800000
}
],
"metaFieldValues": [
{
"id": 1,
"name": "text",
"isMandatory": true,
"includeInProvision": true,
"value": {
"type": "MultiText",
"values": [
"SN-001",
"SN-002"
]
}
}
]
}Check whether a device is currently connected to the server over MQTT or Blynk Protocol.
Required permissions, when user-scoped authentication is used: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can read status only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device online status
Whether the device is currently connected
Bad request - invalid device ID
Forbidden
Device not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device/online?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"connected": true
}Retrieve all tags assigned to a device
Required permissions, when user-scoped authentication is used: VIEW_OWN_ORG_TAG. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can read tags only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
List of device tags
Tag ID
1Tag name
In ServiceID of the organization, that created the tag
1Bad request - invalid device ID
Forbidden
Device not found
Too many requests
Internal server error
GET /api/v1/organization/device/tags?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 1,
"name": "In Service",
"tagOwnerOrgId": 1
}
]It may take up to a minute for new events to appear in the API result. The data is sorted in reverse chronological order (most recent events first).
Required permissions, when user-scoped authentication is used: VIEW_TIMELINE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can read timeline only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Filter by event type (optional)
Filter by event ID (optional). Must be a valid event ID defined in the template.
Page number (0-indexed)
0Page size (max 1000)
50Device timeline events
Total amount of timeline events, available to fetch.
1Bad request
Forbidden
Device or event not found
Too many requests
Internal server error
GET /api/v1/organization/device/timeline?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 101,
"eventId": 1,
"orgId": 101,
"eventType": "ONLINE",
"description": "Temperature is 30.5°C",
"ts": 1707245800000,
"isResolved": true,
"resolvedAt": 1707246800000,
"resolvedComment": "Temperature back to normal"
}
],
"totalElements": 1
}Retrieve device logs related to user actions. This endpoint returns logs of datastream updates that were performed by users (not by the device itself). Actions initiated by the device are not included.
It may take up to a minute for new log entries to appear in the logs list. Logs are sorted in reverse chronological order (most recent entries first).
Required permissions, when user-scoped authentication is used: ORG_DEVICE_VIEW_ACTION_LOG. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can read logs only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Page number (0-indexed)
0Page size (max 1000)
50Device logs
Total amount of log entries, available to fetch.
1Bad request
Forbidden
Device not found
Too many requests
Internal server error
GET /api/v1/organization/device/logs?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"triggerUserEmail": "user@example.com",
"value": 23.5,
"pin": 2,
"pinType": "VIRTUAL",
"isOnline": true,
"createdAt": 1625247600000
}
],
"totalElements": 1
}Transfer a device either to a new owner user or to another organization. Provide newUserId or newOrgId (at least one is required); if both are supplied, newUserId takes precedence and newOrgId is ignored:
When
newUserIdis set, the device is assigned to that user and moved into the user's organization. The user must exist and be activated.When
newOrgIdis set, the device is moved to that organization without assigning a specific owner (an organization admin is notified).
This is the general form of the transfer endpoints; use /device/transfer/to-owner or /device/transfer/to-organization when you need only one of the two behaviours.
Required permissions, when user-scoped authentication is used: TRANSFER_DEVICE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. When newUserId is set to a user different from the authenticated user, ORG_VIEW_USERS is also required. When newOrgId is set, ORG_VIEW is also required. User-scoped tokens can transfer only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device transferred successfully
No content
Bad request - Invalid request body or neither target specified
Forbidden
Device/organization not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/transfer HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"deviceId": 101,
"newUserId": 101,
"newOrgId": 101
}No content
Transfer device ownership to a new owner user. The user must exist and be activated.
Required permissions, when user-scoped authentication is used: TRANSFER_DEVICE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens that set newUserId different from authenticated user ID also require ORG_VIEW_USERS. User-scoped tokens can transfer only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID to transfer
101New owner user ID
101Device transferred successfully
No content
Bad request - Invalid request body
Forbidden
Device/organization not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/transfer/to-owner HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"deviceId": 101,
"newOwnerUserId": 101
}No content
Transfer a device to another organization without assigning a new owner.
Required permissions, when user-scoped authentication is used: TRANSFER_DEVICE, ORG_VIEW. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can transfer only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID to transfer
101New organization ID
101Device transferred successfully
No content
Bad request - Invalid request body
Forbidden
Device/organization not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/transfer/to-organization HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"deviceId": 101,
"newOrgId": 101
}No content
Remove the current owner from a device
Required permissions, when user-scoped authentication is used: ORG_DEVICES_EDIT. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can remove owner only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device owner removed successfully
No content
Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
DELETE /api/v1/organization/device/owner?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Lock a device. A locked device stays in the organization, but its dashboard and most of its actions are unavailable in the web console until the device is unlocked again.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_DELETE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can lock only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device locked successfully
No content
Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/lock?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Unlock a device. A locked device stays in the organization, but its dashboard and most of its actions are unavailable in the web console until the device is unlocked again.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_DELETE. Additionally, required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can unlock only owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device unlocked successfully
No content
Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/unlock?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Clear all device data, including datastream history values and timeline.
Required permissions, when user-scoped authentication is used: ORG_DEVICE_DATA_DELETE. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can clear data only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Device data cleared successfully
No content
Bad request
Forbidden
Device not found or access denied
Too many requests
Internal server error
DELETE /api/v1/organization/device/clear?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Manually trigger a device event.
The event may be muted if a notification schedule is configured and the current time falls outside the allowed window. A per-device rate limit applies to log events.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_CONTROL. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can trigger events only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
101Event code to trigger
high_temperatureOptional event description
Temperature exceeded 22.0C thresholdEvent triggered successfully
No content
Bad request
Forbidden
Device/event not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/trigger-event HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 105
{
"deviceId": 101,
"eventCode": "high_temperature",
"eventDescription": "Temperature exceeded 22.0C threshold"
}No content
Mark a device timeline event as resolved.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_EDIT or OWN_DEVICES_EDIT. If only OWN_DEVICES_EDIT is granted, the authenticated user must be the owner of the device.
OAuth2 Bearer token obtained from authentication endpoint
Unique sequence ID of the log event to resolve (the id field from the timeline response)
1234567890Optional comment describing how the event was resolved
Issue fixed by restarting the deviceEvent resolved successfully
No content
Bad request
Forbidden
Event or device not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/resolve-event HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"logEventId": 1234567890,
"resolveComment": "Issue fixed by restarting the device"
}No content
Retrieve all devices owned by a specific user
When querying ownerEmail equal to authenticated user email (user-scoped auth), requires at least one of: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. When querying another ownerEmail with user-scoped auth, requires both ORG_VIEW_USERS and ORG_DEVICES_VIEW.
OAuth2 Bearer token obtained from authentication endpoint
Owner email address
Organization ID (optional)
Page number (0-indexed)
0Page size (max 1000)
50List of devices
1Bad request
Forbidden
Organization/User not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device/by-owner?ownerEmail=name%40gmail.com HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
}
}
],
"totalElements": 1
}Retrieve devices accessible by a specific user in their organization
Required permissions, when user-scoped authentication is used: ORG_DEVICES_VIEW. User-scoped tokens querying userEmail different from authenticated user email also require ORG_VIEW_USERS.
OAuth2 Bearer token obtained from authentication endpoint
User email address
Page number (0-indexed)
0Page size (max 1000)
50List of devices
1Bad request
Forbidden
Too many requests
Internal server error
GET /api/v1/organization/device/by-user-org?userEmail=name%40gmail.com HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": [
{
"id": 1,
"name": "Living Room Sensor",
"templateId": 101,
"originalTemplateId": 3,
"orgId": 101,
"token": "ZJW2kImth5rGzPUBVcSPkqS_YsoFEFJm",
"activatedAt": 1707244800000,
"ownerUserId": 202,
"hardwareInfo": {
"version": "1.0.0",
"fwType": "TMPL8RITg_f9Q",
"blynkVersion": "1.0.0",
"boardType": "Arduino",
"build": "10 Jan 2025",
"templateId": "TMPL8RITg_f9Q"
}
}
],
"totalElements": 1
}Retrieve recently activated devices in the organization
Required permissions, when user-scoped authentication is used: ORG_DEVICES_VIEW.
OAuth2 Bearer token obtained from authentication endpoint
Organization ID (optional). If not specified, the endpoint will return recently activated devices in the organization, that is associated with the authentication token.
Time window in minutes for "recent" activations
5List of activated devices
Device ID
101Organization ID
9Template ID
201User ID of the device owner
202Device activation timestamp
1707244800000Forbidden
Organization not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device/last-activated HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 101,
"orgId": 9,
"templateId": 201,
"ownerUserId": 202,
"activationTime": 1707244800000
}
]Retrieve all metadata field values for a device
Required permissions, when user-scoped authentication is used: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can read metafields only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
Metadata field values
MetaField ID
MetaField name
Mark whether the metafield is required
Mark whether the metafield should be included in the provisioning flow
Metafield value. The schema depends on the type discriminator property.
Forbidden
Device not found or access denied
Too many requests
Internal server error
GET /api/v1/organization/device/metafield?deviceId=1 HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 1,
"name": "text",
"isMandatory": true,
"includeInProvision": true,
"value": {
"type": "MultiText",
"values": [
"SN-001",
"SN-002"
]
}
}
]Update the value of a specific metadata field for a device.
The new value is validated against the metafield type. Returns 400 if the value is invalid for the metafield type.
Required permissions, when user-scoped authentication is used: ORG_DEVICES_EDIT. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can update metafields only for owned devices unless ORG_DEVICES_VIEW is granted.
OAuth2 Bearer token obtained from authentication endpoint
Device ID
101MetaField ID
3New metafield value
Warehouse Aisle 3Metadata field updated successfully
No content
Bad request
Forbidden
Device/metafield not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/device/metafield HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"deviceId": 101,
"metaFieldId": 3,
"newValue": "Warehouse Aisle 3"
}No content
Last updated
Was this helpful?

